# Requisições

### Padrão de Resposta e Paginação

A maior parte das respostas segue o **padrão de paginação** abaixo, que inclui:

* `current_page`: página atual.
* `data`: array de registros retornados.
* `first_page_url`, `last_page_url`, `next_page_url`, `prev_page_url`: URLs para navegação entre páginas.
* `from`, `to`: delimitadores de registros dentro da página.
* `per_page`: quantidade de registros retornados por página.
* `total`: total de registros disponíveis.
* `links`: lista de objetos com dados de navegação.

**Exemplo genérico de resposta paginada**:

```json

{
  "current_page": 1,
  "data": [
    {
      "id": 1234,
      "campo_exemplo": "valor_exemplo"
    }
    // ...demais registros
  ],
  "first_page_url": "https://cashtrack.com.br/api/endpoint?page=1",
  "from": 1,
  "last_page": 3,
  "last_page_url": "https://cashtrack.com.br/api/endpoint?page=3",
  "links": [
    { "url": null, "label": "« Anterior", "active": false },
    { "url": "https://cashtrack.com.br/api/endpoint?page=1", "label": "1", "active": true },
    { "url": "https://cashtrack.com.br/api/endpoint?page=2", "label": "2", "active": false },
    { "url": null, "label": "Próxima »", "active": false }
  ],
  "next_page_url": null,
  "path": "https://cashtrack.com.br/api/endpoint",
  "per_page": 25,
  "prev_page_url": null,
  "to": 25,
  "total": 60
}

```

A navegação entre as páginas é feita via parâmetro `page=1`, `page=2`, etc.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cashtrack.com.br/cashtrack-api-v.1.0.2/requisicoes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
